ITfReadingInformationUIElementVtbl Struct Reference

`#include <SDL_msctf.h>`

## Public Member Functions

| HRESULT (STDMETHODCALLTYPE *QueryInterface)(ITfReadingInformationUIElement *
void ** | ULONG (STDMETHODCALLTYPE *AddRef)(ITfReadingInformationUIElement *)
| ULONG (STDMETHODCALLTYPE *Release)(ITfReadingInformationUIElement *)
| HRESULT (STDMETHODCALLTYPE *GetDescription)(ITfReadingInformationUIElement *
BSTR * | HRESULT (STDMETHODCALLTYPE *GetGUID)(ITfReadingInformationUIElement *
BSTR GUID * | HRESULT (STDMETHODCALLTYPE *Show)(ITfReadingInformationUIElement *
| HRESULT (STDMETHODCALLTYPE *IsShown)(ITfReadingInformationUIElement *
BOOL * | HRESULT (STDMETHODCALLTYPE *GetUpdatedFlags)(ITfReadingInformationUIElement *
BOOL DWORD * | HRESULT (STDMETHODCALLTYPE *GetContext)(ITfReadingInformationUIElement *
BOOL DWORD ITfContext ** | HRESULT (STDMETHODCALLTYPE *GetString)(ITfReadingInformationUIElement *
BOOL DWORD ITfContext BSTR * | HRESULT (STDMETHODCALLTYPE *GetMaxReadingStringLength)(ITfReadingInformationUIElement *
BOOL DWORD ITfContext BSTR UINT * | HRESULT (STDMETHODCALLTYPE *GetErrorIndex)(ITfReadingInformationUIElement *
BOOL DWORD ITfContext BSTR UINT UINT * | HRESULT (STDMETHODCALLTYPE *IsVerticalOrderPreferred)(ITfReadingInformationUIElement *

## Data Fields

| REFIID
BSTR GUID | BOOL

## Detailed Description

Definition at line 176 of file SDL_msctf.h.

## Member Function Documentation

## HRESULT() [1/11]

BOOL DWORD* ITfReadingInformationUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetContext | ) |

## HRESULT() [2/11]

ITfReadingInformationUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetDescription | ) |

## HRESULT() [3/11]

BOOL DWORD ITfContext BSTR UINT* ITfReadingInformationUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetErrorIndex | ) |

## HRESULT() [4/11]

BSTR* ITfReadingInformationUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetGUID | ) |

## HRESULT() [5/11]

BOOL DWORD ITfContext BSTR* ITfReadingInformationUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetMaxReadingStringLength | ) |

## HRESULT() [6/11]

BOOL DWORD ITfContext** ITfReadingInformationUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetString | ) |

## HRESULT() [7/11]

BOOL* ITfReadingInformationUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetUpdatedFlags | ) |

## HRESULT() [8/11]

ITfReadingInformationUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | IsShown | ) |

## HRESULT() [9/11]

BOOL DWORD ITfContext BSTR UINT UINT* ITfReadingInformationUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | IsVerticalOrderPreferred | ) |

## HRESULT() [10/11]

ITfReadingInformationUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | QueryInterface | ) |

## HRESULT() [11/11]

BSTR GUID* ITfReadingInformationUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | Show | ) |

## ULONG() [1/2]

void** ITfReadingInformationUIElementVtbl::ULONG | ( | STDMETHODCALLTYPE * | AddRef | ) |

## ULONG() [2/2]

ITfReadingInformationUIElementVtbl::ULONG | ( | STDMETHODCALLTYPE * | Release | ) |

## Field Documentation

## BOOL

BSTR GUID ITfReadingInformationUIElementVtbl::BOOL

Definition at line 183 of file SDL_msctf.h.

## REFIID

ITfReadingInformationUIElementVtbl::REFIID

Definition at line 178 of file SDL_msctf.h.

The documentation for this struct was generated from the following file:

- src/video/windows/SDL_msctf.h